<?php
/* parse JSON */
if (empty($scriptProperties['data'])) return $modx->error->failure('Invalid data.');
$_DATA = $modx->fromJSON($scriptProperties['data']);
if (!is_array($_DATA)) return $modx->error->failure('Invalid data.');
 
/* get obj */
if (empty($_DATA['id'])) return $modx->error->failure($modx->lexicon('trosk.parametar_err_ns'));
$param = $modx->getObject('params',$_DATA['id']);
if (empty($param)) return $modx->error->failure($modx->lexicon('trosk.parametar_err_nf'));
if (!(($_DATA['type']==1)or($_DATA['type']==2))) return $modx->error->failure($modx->lexicon('trosk.tip_na'));
$param->fromArray($_DATA);
 
/* save */
if ($param->save() == false) {
    return $modx->error->failure($modx->lexicon('trosk.parametar_err_save'));
}
 
return $modx->error->success('',$param);